# Class SIS.Translate

Object
Translate

All Implemented Interfaces:
  `Cloneable`

Enclosing class:
  `SIS`

public static final class SIS.Translate extends Object
Builder for the "translate" sub-command. This builder provides convenience methods for setting options before to execute the command by a call to `run(Object...)`.

Since:
  1.5
See Also:
  - `SIS​.TRANSLATE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SIS​.Translate`
  `debug()`
  Prints full stack trace in case of failure.
  `SIS​.Translate`
  `format(String value)`
  Sets the output format.
  `SIS​.Translate`
  `help()`
  Lists the options available for the sub-command.
  `SIS​.Translate`
  `metadata(String value)`
  Sets the path to auxiliary metadata, relative to the main file.
  `SIS​.Translate`
  `output(Object value)`
  Sets the destination file.
  `void`
  `run(Object... args)`
  Executes the command with the given arguments.
  `String`
  `toString()`
  Returns the command with all options that have been set.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### metadata

    public SIS.Translate metadata(String value)
    Sets the path to auxiliary metadata, relative to the main file. The `'*'` character stands for the name of the main file. For example if the main file is `"city-center​.tiff"`, then `"*.xml"` stands for `"city-center​.xml"`.
    Parameters:
      `value` - relative path to auxiliary metadata.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### output

    public SIS.Translate output(Object value)
    Sets the destination file.
    Parameters:
      `value` - the output file.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### format

    public SIS.Translate format(String value)
    Sets the output format.
    Parameters:
      `value` - the format. Examples: xml, wkt, wkt1 or text.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### debug

    public SIS.Translate debug()
    Prints full stack trace in case of failure.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### help

    public SIS.Translate help()
    Lists the options available for the sub-command.
    Returns:
      a new builder or `this`, for method call chaining.

  - ### run

    public void run(Object... args) throws Exception
    Executes the command with the given arguments. The arguments are usually `String` instances, but may also be instances of `File`, `Path`, `URL`, `URI` or other types accepted by `StorageConnector` if the corresponding argument specifies an input or output.
    Parameters:
      `args` - the arguments to pass to the sub-command.
      `name` - name of the sub-command to execute.
    Throws:
      `Exception` - if an error occurred while executing the command.

  - ### toString

    public String toString()
    Returns the command with all options that have been set..
    Overrides:
      `toString` in class `Object`
    Returns:
      the command with all options that have been set